<h2 id="submitting-a-pull-request">Submitting a Pull Request</h2>
<ol start="0" type="1">
<li>Check out Hacking on Octokit in the README guide for bootstrapping the project for local development.</li>
<li><a href="https://help.github.com/articles/fork-a-repo">Fork the repository.</a></li>
<li><a href="https://help.github.com/articles/creating-and-deleting-branches-within-your-repository/">Create a topic branch.</a></li>
<li>Add specs for your unimplemented feature or bug fix.</li>
<li>Run <code>script/test</code>. If your specs pass, return to step 3.</li>
<li>Implement your feature or bug fix.</li>
<li>Run <code>script/test</code>. If your specs fail, return to step 5.</li>
<li>Run <code>open coverage/index.html</code>. If your changes are not completely covered by your tests, return to step 4.</li>
<li>Add documentation for your feature or bug fix.</li>
<li>Run <code>bundle exec rake doc:yard</code>. If your changes are not 100% documented, go back to step 8.</li>
<li>Add, commit, and push your changes. For documentation-only fixes, please add “[ci skip]” to your commit message to avoid needless CI builds.</li>
<li><a href="https://help.github.com/articles/using-pull-requests">Submit a pull request.</a></li>
</ol>
